PDA

View Full Version : gettext



reflective
05-14-2005, 12:51 AM
I would strongly suggest that Westhost offer gettext installed as default since it is quite common for use in i8n of php scripts. In fact, I was very much surprised when I found it missing after signing up as I had taken it for granted. It's also a bit strange that php on my vps seems to be compiled with "--enable-gettext" although the package is clearly not installed.

In the meantime, I'll try and install it myself.

reflective
05-16-2005, 05:31 AM
It went quite well. I installed gettext and recompiled php to use it. I like the DIY aspect of having a VPS. :)

wildjokerdesign
05-16-2005, 05:56 AM
I should know this but when you recompiled that would be the ./configure command... right? When you do that do you have to configure it with everything again or do you just add in the --enable-gettext?

reflective
05-16-2005, 07:06 AM
Actually, it would be more correct to say that I compiled a new installation of php in my home folder, because of limited permissions in /usr/local/lib etc. You would have to add all the options to ./configure again. For an idea of with which options an installation of php was compiled, check phpinfo().
The option that worked for me turned out to be --with-gettext rather than --enable-gettext.

wildjokerdesign
05-16-2005, 09:20 AM
Thanks reflective. That also answers my question about the ability to configure the existing php install. I didn't think we had the ability to do that although it would be nice for such things.

SeninAndrew
10-29-2005, 05:30 AM
It went quite well. I installed gettext and recompiled php to use it. I like the DIY aspect of having a VPS. :)
Hello reflective!
Could you please give me a short instruction how to install gettext? What I do is
1. ./configure --prefix /usr/local/my_share
I add the prefix because I have no permissions to write to /usr/local/share

Then
2. make install > make.log
and receive the output

]libtool: install: warning: remember to run `libtool --finish /usr/local/my_share//lib'
libtool: install: warning: remember to run `libtool --finish /usr/local/my_share//lib'
libtool: install: error: cannot install `libgettextsrc.la' to a directory not ending in /usr/local/my_share//lib
libtool: install: error: cannot install `libgettextpo.la' to a directory not ending in /usr/local/my_share//lib
make[4]: *** [install-libLTLIBRARIES] Error 1
make[3]: *** [install-am] Error 2
make[2]: *** [install] Error 2
make[1]: *** [install-recursive] Error 1
make: *** [install-recursive] Error 1

Thanks.
Andrew

Andromeda
11-07-2005, 10:56 PM
Hi Andrew.. welcome aboard!